http://serverlessrepo.{region}.amazonaws.com/applications/{applicationId}/versions/{semanticVersion}Creates an application version.
The Amazon Resource Name (ARN) of the application.
The semantic version of the new version.
A link to the packaged AWS SAM template of your application.
The raw packaged AWS SAM template of your application.
A link to a public repository for the source code of your application, for example the URL of a specific GitHub commit.
<p>A link to the S3 object that contains the ZIP archive of the source code for this version of your application.</p><p>Maximum size 50 MB</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://serverlessrepo.{region}.amazonaws.com/applications/{applicationId}/versions/{semanticVersion}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://serverlessrepo.{region}.amazonaws.com/applications/{applicationId}/versions/{semanticVersion}Creates an application version.
The Amazon Resource Name (ARN) of the application.
The semantic version of the new version.
A link to the packaged AWS SAM template of your application.
The raw packaged AWS SAM template of your application.
A link to a public repository for the source code of your application, for example the URL of a specific GitHub commit.
<p>A link to the S3 object that contains the ZIP archive of the source code for this version of your application.</p><p>Maximum size 50 MB</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://serverlessrepo.{region}.amazonaws.com/applications/{applicationId}/versions/{semanticVersion}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}